{
  "swagger": "2.0",
  "info": {
    "description": "The Person REST APIs enable you to access information about the worker person, including country-specific configuration information about name components.",
    "version": "v4",
    "title": "person",
    "x-workday-internal-source": "xo",
    "x-workday-internal-routing": "Public",
    "x-workday-internal-protected-usage-enabled": false,
    "x-workday-internal-service-container-id": "ba74f44bc90e107329f63d467ade0043"
  },
  "host": "<tenantHostname>",
  "basePath": "/person/v4",
  "tags": [
    {
      "name": "countries",
      "description": "Provides information about countries, including tenant configuration about name components for a specified country."
    },
    {
      "name": "homeContactInformationChanges",
      "description": "Enables you to perform a Home Contact Change task. Using these REST APIs, you can get and update home contact information such as address, e-mail address, phone number, web address, and instant messenger.\n\nTo start and submit a home contact change request for a specific person: \n\n1. Initiate a home contact change event by calling a POST request for a role that can use this business process. Example: the POST staffing/workers/{ID}/homeContactInformationChanges operation that returns a new home contact change ID. \n\n2. Update data for the home contact change request by calling operations on the available person/homeContactInformationChanges/{id}/{subresource} endpoints. These allow you to add, update, or remove home contact information.  The correct Usage Type to use when doing so is Home, \"836cf00ef5974ac08b786079866c946f\"\n\n3. Submit the home contact change request by calling the POST person/homeContactInformationChanges/{ID}/submit endpoint. The updated data in the preceding home contact change requests don't persist until you call POST person/homeContactInformationChanges/{ID}/submit."
    },
    {
      "name": "people",
      "description": "A collection of people in Workday"
    },
    {
      "name": "phoneValidation",
      "description": "Provides the ability to perform phone validations."
    },
    {
      "name": "workContactInformationChanges",
      "description": "Enables you to perform a Work Contact Change task. Using these REST APIs, you can get and update work contact information such as address, e-mail address, phone number, web address, and instant messenger.\n\nTo start and submit a work contact change request for a specific person: \n\n1. Initiate a work contact change event by calling a POST request for a role that can use this business process. Example: the POST staffing/workers/{ID}/workContactInformationChanges operation that returns a new work contact change ID. \n\n2. Update data for the work contact change request by calling operations on the available person/workContactInformationChanges/{id}/{subresource} endpoints. These allow you to add, update, or remove work contact information.  The correct Usage Type to use when doing so is Work, \"1f27f250dfaa4724ab1e1617174281e4\"\n\n3. Submit the work contact change request by calling the POST person/workContactInformationChanges/{ID}/submit endpoint. The updated data in the preceding work contact change requests don't persist until you call POST person/workContactInformationChanges/{ID}/submit."
    },
    {
      "name": "Prompt Values",
      "description": "Retrieves instances that can be used as values for other endpoint parameters in this service."
    }
  ],
  "schemes": [
    "https"
  ],
  "paths": {
    "/people/{ID}/personalInformation": {
      "get": {
        "tags": [
          "people"
        ],
        "summary": "Retrieves a collection of personal information.",
        "description": "Retrieves all personal information for the person with the specified ID.\n\n<b>Secured By Domain:</b> Person Data: Personal Information, Self-Service: Personal Information\n\n<b>Scope:</b> Personal Data",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|me)$"
          },
          {
            "name": "country",
            "in": "query",
            "description": "Specifies the set of personal information by country that will be returned. If empty, the most recently updated set of personal information will be returned.",
            "required": false,
            "type": "string"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/personalInformation_414c4cee7d91100023fe329d6f900018"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "cb7f231fa7061000112fadf3ccad017b",
        "x-workday-secured-by-domains": [
          "Person Data: Personal Information",
          "Self-Service: Personal Information"
        ]
      }
    },
    "/phoneValidation": {
      "post": {
        "tags": [
          "phoneValidation"
        ],
        "summary": "Validates phone number data to ensure it is valid for Workday.",
        "description": "Validates the specified completePhoneNumber in the request body.\nThe completePhoneNumber field is required in the request body.\n\nIf the specified completePhoneNumber is valid, this method returns the 201 response status. If the specified completePhoneNumber is invalid, this method returns the 400 response status with a validation error message. \n\nThis method assumes the Allowed Phone Validations for the country of the phone is enabled on the Tenant Setup - Global configuration.\nIf the tenant configuration has disabled the Allowed Phone Validations for the associated country, the validation returns as valid.\n\n<b>Secured By Domain:</b> REST API Public",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "in": "body",
            "name": "phoneNumberValidation",
            "required": true,
            "schema": {
              "$ref": "#/definitions/phoneNumberValidation_db1991f2fb091000169c5dfa023800b8"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Resource created.",
            "schema": {
              "$ref": "#/definitions/phoneNumberValidation_db1991f2fb091000169c5dfa023800b8"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A288 | Enter a phone number in the valid format: [PhoneValidationMessage] |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "db1991f2fb09100016af7e96062c00c0",
        "x-workday-secured-by-domains": [
          "REST API Public"
        ]
      }
    },
    "/people/{ID}/homeAddresses/{subresourceID}": {
      "get": {
        "tags": [
          "people"
        ],
        "summary": "Retrieves a home address.",
        "description": "Retrieves a home address for the person with the specified ID.\n\n<b>Secured By Domain:</b> Person Data: Home Address, Self-Service: Home Address\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|me)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Address_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Address_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/addressReference_9c3ab7b846e4100009e5ec55fa530024"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "9c3ab7b846e4100009d3803914040022",
        "x-workday-secured-by-domains": [
          "Person Data: Home Address",
          "Self-Service: Home Address"
        ]
      }
    },
    "/countries/{ID}": {
      "get": {
        "tags": [
          "countries"
        ],
        "summary": "Retrieves information about a country.",
        "description": "Retrieves information about a country, including their alpha codes, and whether or not they are enabled for address lookup.\n\n<b>Secured By Domain:</b> REST API Public",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: ISO_3166-1_Alpha-3_Code, ISO_3166-1_Numeric-3_Code, ISO_3166-1_Alpha-2_Code, OPM_Country_Code",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(ISO_3166-1_Alpha-3_Code|ISO_3166-1_Numeric-3_Code|ISO_3166-1_Alpha-2_Code|OPM_Country_Code)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/personCountryViewDefinition_f206795ea40e1000040cc6f5da4f002a"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "e739a55496d710001579ebb756201300",
        "x-workday-secured-by-domains": [
          "REST API Public"
        ]
      }
    },
    "/homeContactInformationChanges/{ID}/webAddresses": {
      "get": {
        "tags": [
          "homeContactInformationChanges"
        ],
        "summary": "Retrieve all existing web addresses staged for update by the parent business process",
        "description": "Retrieve all web addresses staged for update by the parent business process\n\n<b>Secured By Domain:</b> Person Data: Home Web Address, Self-Service: Home Web Address\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "primaryOnly",
            "in": "query",
            "description": "If true, returns only the IDs of the person's primary web addresses.",
            "required": false,
            "type": "boolean"
          },
          {
            "name": "publicOnly",
            "in": "query",
            "description": "If true, returns only the IDs of the person's public web addresses.",
            "required": false,
            "type": "boolean"
          },
          {
            "name": "usageType",
            "in": "query",
            "description": "Specifies usage type, such as home or work. Only used if the service provides access to multiple usage types from the same endpoint.",
            "required": false,
            "type": "string"
          },
          {
            "name": "usedFor",
            "in": "query",
            "description": "Specifies usage behavior, such as mailing, billing, or shipping.\nOptional.",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/webAddressReference_e357ae6d466510000ce259f323be01b0"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A595 | Invalid HTTP address entered.  HTTP addresses must be in one of the following formats:\n - http://...\n - https://... |\n| Critical | A596 | Web Address is required. |\n| Critical | A612 | You can't change a primary web address to an additional web address or an additional web address to a primary web address. |\n| Critical | A620 | Invalid Usage Behavior for [cmb]: [cub]. |\n| Critical | A643 | Invalid Usage Type [type] and Use For [usedFor] combination for Web Address |\n| Critical | A645 | A valid Usage Type is required. |\n| Critical | A648 | Only one [type] Web Address can be marked as Primary. |\n| Critical | A655 | You can't change the Usage Type of an existing Web Address |\n| Critical | A667 | Subject person must have exactly one primary [type] web address in order to have non-primary entries. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5f06a5c82550100013a6a7196d92011b",
        "x-workday-secured-by-domains": [
          "Person Data: Home Web Address",
          "Self-Service: Home Web Address"
        ]
      },
      "post": {
        "tags": [
          "homeContactInformationChanges"
        ],
        "summary": "Creates a new web address.",
        "description": "Creates a new web address staged by the parent business process event.\n\n<b>Secured By Domain:</b> Person Data: Home Web Address, Self-Service: Home Web Address\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "in": "body",
            "name": "webAddressReference",
            "required": true,
            "schema": {
              "$ref": "#/definitions/webAddressReference_e357ae6d466510000ce259f323be01b0"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Resource created.",
            "schema": {
              "$ref": "#/definitions/webAddressReference_e357ae6d466510000ce259f323be01b0"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A595 | Invalid HTTP address entered.  HTTP addresses must be in one of the following formats:\n - http://...\n - https://... |\n| Critical | A596 | Web Address is required. |\n| Critical | A612 | You can't change a primary web address to an additional web address or an additional web address to a primary web address. |\n| Critical | A620 | Invalid Usage Behavior for [cmb]: [cub]. |\n| Critical | A643 | Invalid Usage Type [type] and Use For [usedFor] combination for Web Address |\n| Critical | A645 | A valid Usage Type is required. |\n| Critical | A648 | Only one [type] Web Address can be marked as Primary. |\n| Critical | A655 | You can't change the Usage Type of an existing Web Address |\n| Critical | A667 | Subject person must have exactly one primary [type] web address in order to have non-primary entries. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5f06a5c82550100013a6a7487846011d",
        "x-workday-secured-by-domains": [
          "Person Data: Home Web Address",
          "Self-Service: Home Web Address"
        ]
      }
    },
    "/people/{ID}/additionalNames/{subresourceID}": {
      "get": {
        "tags": [
          "people"
        ],
        "summary": "Retrieves an additional name.",
        "description": "Retrieves an additional name for the person with the specified ID.\n\n<b>Secured By Domain:</b> Person Data: Name, Self-Service: Name\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|me)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Excludable_Name",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Excludable_Name)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/name_33e26848dc0010002f1ae76d63ec0061"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "cb7f231fa70610000498c41ac1a40177",
        "x-workday-secured-by-domains": [
          "Person Data: Name",
          "Self-Service: Name"
        ]
      }
    },
    "/workContactInformationChanges/{ID}/phoneNumbers/{subresourceID}": {
      "get": {
        "tags": [
          "workContactInformationChanges"
        ],
        "summary": "A phone number as it exists staged for update by the parent business process.",
        "description": "Retrieve an existing phone number as it exists when staged by the parent business process.\n\n<b>Secured By Domain:</b> Person Data: Work Phone, Self-Service: Work Phone\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Phone_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Phone_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/phoneReference_1089da0ab90910000f70891a998b0887"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A572 | Subject person must have exactly one primary [type] Phone Number in order to have non-primary entries. |\n| Critical | A576 | Phone Extension is not allowed when device type is [VoIP Device Type] |\n| Critical | A577 | Country Code is required unless the device type is VOIP. |\n| Critical | A578 | A phone number is required. |\n| Critical | A604 | Only one [type] Phone Number can be marked as Primary. |\n| Critical | A620 | Invalid Usage Behavior for [cmb]: [cub]. |\n| Critical | A645 | A valid Usage Type is required. |\n| Critical | A646 | Invalid Usage Type [type] and Use For [usedFor] combination for Phone |\n| Critical | A651 | This type of a shared communication method is not supported. |\n| Critical | A652 | Enter a phone number in a valid format: [PhoneValidationMessage] |\n| Critical | A656 | Country Phone Code is not allowed when device type is [VoIP Device Type] |\n| Critical | A658 | You can't change a primary phone to an additional phone or an additional phone to a primary phone. |\n| Critical | A660 | You can't change the Usage Type of an existing phone. |\n| Critical | A664 | The field phone device type is required and must have a value. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5f06a5c8255010001447598c53f6013d",
        "x-workday-secured-by-domains": [
          "Person Data: Work Phone",
          "Self-Service: Work Phone"
        ]
      },
      "delete": {
        "tags": [
          "workContactInformationChanges"
        ],
        "summary": "Removes the specified phone number.",
        "description": "Remove the specified phone number. If this address existed before the start of the current business process, it won't be removed from the target Person until the parent business process completes.\n\n<b>Secured By Domain:</b> Person Data: Work Phone, Self-Service: Work Phone\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Phone_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Phone_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Deleting resource."
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A572 | Subject person must have exactly one primary [type] Phone Number in order to have non-primary entries. |\n| Critical | A576 | Phone Extension is not allowed when device type is [VoIP Device Type] |\n| Critical | A577 | Country Code is required unless the device type is VOIP. |\n| Critical | A578 | A phone number is required. |\n| Critical | A582 | Primary Phone can't be deleted when there are additional phones. |\n| Critical | A604 | Only one [type] Phone Number can be marked as Primary. |\n| Critical | A620 | Invalid Usage Behavior for [cmb]: [cub]. |\n| Critical | A645 | A valid Usage Type is required. |\n| Critical | A646 | Invalid Usage Type [type] and Use For [usedFor] combination for Phone |\n| Critical | A651 | This type of a shared communication method is not supported. |\n| Critical | A652 | Enter a phone number in a valid format: [PhoneValidationMessage] |\n| Critical | A656 | Country Phone Code is not allowed when device type is [VoIP Device Type] |\n| Critical | A658 | You can't change a primary phone to an additional phone or an additional phone to a primary phone. |\n| Critical | A660 | You can't change the Usage Type of an existing phone. |\n| Critical | A664 | The field phone device type is required and must have a value. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5f06a5c825501000144759b669fd0140",
        "x-workday-secured-by-domains": [
          "Person Data: Work Phone",
          "Self-Service: Work Phone"
        ]
      },
      "patch": {
        "tags": [
          "workContactInformationChanges"
        ],
        "summary": "Partially update an existing phone number.",
        "description": "Partially update an existing phone number that is staged for update by the parent business process event.\n\n<b>Secured By Domain:</b> Person Data: Work Phone, Self-Service: Work Phone\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Phone_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Phone_ID)=\\S+)$"
          },
          {
            "in": "body",
            "name": "phoneReference",
            "required": true,
            "schema": {
              "$ref": "#/definitions/phoneReference_1089da0ab90910000f70891a998b0887"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Updating resource.",
            "schema": {
              "$ref": "#/definitions/phoneReference_1089da0ab90910000f70891a998b0887"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A572 | Subject person must have exactly one primary [type] Phone Number in order to have non-primary entries. |\n| Critical | A576 | Phone Extension is not allowed when device type is [VoIP Device Type] |\n| Critical | A577 | Country Code is required unless the device type is VOIP. |\n| Critical | A578 | A phone number is required. |\n| Critical | A604 | Only one [type] Phone Number can be marked as Primary. |\n| Critical | A620 | Invalid Usage Behavior for [cmb]: [cub]. |\n| Critical | A645 | A valid Usage Type is required. |\n| Critical | A646 | Invalid Usage Type [type] and Use For [usedFor] combination for Phone |\n| Critical | A651 | This type of a shared communication method is not supported. |\n| Critical | A652 | Enter a phone number in a valid format: [PhoneValidationMessage] |\n| Critical | A656 | Country Phone Code is not allowed when device type is [VoIP Device Type] |\n| Critical | A658 | You can't change a primary phone to an additional phone or an additional phone to a primary phone. |\n| Critical | A660 | You can't change the Usage Type of an existing phone. |\n| Critical | A664 | The field phone device type is required and must have a value. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5f06a5c82550100014475998a962013e",
        "x-workday-secured-by-domains": [
          "Person Data: Work Phone",
          "Self-Service: Work Phone"
        ]
      }
    },
    "/values/nameComponents/hereditary/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.\n\n<b>Secured By Domain:</b> Person Data: Name\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "country",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        }
      ],
      "x-workday-secured-by-domains": [
        "Person Data: Name"
      ]
    },
    "/people/{ID}/audioNamePronunciation": {
      "get": {
        "tags": [
          "people"
        ],
        "summary": "Retrieves a collection of Audio Name Pronunciations",
        "description": "Retrieves all Audio Name Pronunciations of a Person\n\n<b>Secured By Domain:</b> Person Data: Name Pronunciation\n\n<b>Scope:</b> Personal Data",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|me)$"
          },
          {
            "name": "currentAudio",
            "in": "query",
            "description": "Download only the currently active audio",
            "required": false,
            "type": "boolean"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/mediaDownload_5d5f0fb1184b10000b16f0e5c20f0000"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "70aaa4de71b4100020164c46ea190000",
        "x-workday-secured-by-domains": [
          "Person Data: Name Pronunciation"
        ]
      }
    },
    "/people/{ID}/personalInformation/{subresourceID}": {
      "get": {
        "tags": [
          "people"
        ],
        "summary": "Retrieves a person's personal information.",
        "description": "Retrieves personal information for the person with the specified ID.\n\n<b>Secured By Domain:</b> Person Data: Personal Information, Self-Service: Personal Information\n\n<b>Scope:</b> Personal Data",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|me)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/personalInformation_414c4cee7d91100023fe329d6f900018"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "cb7f231fa7061000112fadf3ccad017b",
        "x-workday-secured-by-domains": [
          "Person Data: Personal Information",
          "Self-Service: Personal Information"
        ]
      }
    },
    "/workContactInformationChanges/{ID}/instantMessengers/{subresourceID}": {
      "get": {
        "tags": [
          "workContactInformationChanges"
        ],
        "summary": "An instant messenger as it exists staged for update by the parent business process.",
        "description": "Retrieve an existing instant messenger as it exists when staged by the parent business process.\n\n<b>Secured By Domain:</b> Person Data: Work Instant Messenger, Self-Service: Work Instant Messenger\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Instant_Messenger_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Instant_Messenger_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/instantMessengerReference_de08a6c876a810000cb2e38a1d2a0016"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A580 | Invalid Usage Type [type] and Use For [usedFor] combination for Instant Messenger |\n| Critical | A585 | You can't change a primary instant messenger to an additional instant messenger or an additional instant messenger to a primary instant messenger |\n| Critical | A598 | You must provide an Instant Messenger Type. |\n| Critical | A603 | You must provide an Instant Messenger Address. |\n| Critical | A606 | Subject person must have exactly one primary [type] Instant Messenger in order to have non-primary entries. |\n| Critical | A607 | Only one [type] Instant Messenger can be marked as Primary. |\n| Critical | A620 | Invalid Usage Behavior for [cmb]: [cub]. |\n| Critical | A645 | A valid Usage Type is required. |\n| Critical | A647 | You can't change the Usage Type of an existing Instant Messenger |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5f06a5c8255010001479a05aa0e9014d",
        "x-workday-secured-by-domains": [
          "Person Data: Work Instant Messenger",
          "Self-Service: Work Instant Messenger"
        ]
      },
      "delete": {
        "tags": [
          "workContactInformationChanges"
        ],
        "summary": "Remove the specified instant messenger.",
        "description": "Remove the specified instant messenger. If this instant messenger existed before the start of the current business process, it won't be removed from the target Person until the parent business process completes.\n\n<b>Secured By Domain:</b> Person Data: Work Instant Messenger, Self-Service: Work Instant Messenger\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Instant_Messenger_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Instant_Messenger_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Deleting resource."
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A579 | Primary Instant Messenger Account can't be deleted when there are additional Instant Messenger Accounts. |\n| Critical | A580 | Invalid Usage Type [type] and Use For [usedFor] combination for Instant Messenger |\n| Critical | A585 | You can't change a primary instant messenger to an additional instant messenger or an additional instant messenger to a primary instant messenger |\n| Critical | A598 | You must provide an Instant Messenger Type. |\n| Critical | A603 | You must provide an Instant Messenger Address. |\n| Critical | A606 | Subject person must have exactly one primary [type] Instant Messenger in order to have non-primary entries. |\n| Critical | A607 | Only one [type] Instant Messenger can be marked as Primary. |\n| Critical | A620 | Invalid Usage Behavior for [cmb]: [cub]. |\n| Critical | A645 | A valid Usage Type is required. |\n| Critical | A647 | You can't change the Usage Type of an existing Instant Messenger |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5f06a5c8255010001479a07351ce014f",
        "x-workday-secured-by-domains": [
          "Person Data: Work Instant Messenger",
          "Self-Service: Work Instant Messenger"
        ]
      },
      "patch": {
        "tags": [
          "workContactInformationChanges"
        ],
        "summary": "Partially update an existing instant messenger.",
        "description": "Partially update an existing instant messenger that is staged for update by the parent business process event.\n\n<b>Secured By Domain:</b> Person Data: Work Instant Messenger, Self-Service: Work Instant Messenger\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Instant_Messenger_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Instant_Messenger_ID)=\\S+)$"
          },
          {
            "in": "body",
            "name": "instantMessengerReference",
            "required": true,
            "schema": {
              "$ref": "#/definitions/instantMessengerReference_de08a6c876a810000cb2e38a1d2a0016"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Updating resource.",
            "schema": {
              "$ref": "#/definitions/instantMessengerReference_de08a6c876a810000cb2e38a1d2a0016"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A580 | Invalid Usage Type [type] and Use For [usedFor] combination for Instant Messenger |\n| Critical | A585 | You can't change a primary instant messenger to an additional instant messenger or an additional instant messenger to a primary instant messenger |\n| Critical | A598 | You must provide an Instant Messenger Type. |\n| Critical | A603 | You must provide an Instant Messenger Address. |\n| Critical | A606 | Subject person must have exactly one primary [type] Instant Messenger in order to have non-primary entries. |\n| Critical | A607 | Only one [type] Instant Messenger can be marked as Primary. |\n| Critical | A620 | Invalid Usage Behavior for [cmb]: [cub]. |\n| Critical | A645 | A valid Usage Type is required. |\n| Critical | A647 | You can't change the Usage Type of an existing Instant Messenger |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5f06a5c8255010001479a04b5d11014c",
        "x-workday-secured-by-domains": [
          "Person Data: Work Instant Messenger",
          "Self-Service: Work Instant Messenger"
        ]
      }
    },
    "/homeContactInformationChanges/{ID}": {
      "get": {
        "tags": [
          "homeContactInformationChanges"
        ],
        "description": "Returns basic information about the home contact change event.\n\n<b>Secured By Domain:</b> Person Data: Home Contact Information, Self-Service: Home Contact Information\n\n<b>Secured By Business Process Type:</b> Home Contact Change\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/changeContactInformationEvent_765b18aa13af1000064a10bf37b800ed"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "0f7b29931b0f10001a069deb3ae40120",
        "x-workday-secured-by-domains": [
          "Person Data: Home Contact Information",
          "Self-Service: Home Contact Information"
        ],
        "x-workday-secured-by-business-process-types": [
          "Home Contact Change"
        ]
      }
    },
    "/homeContactInformationChanges/{ID}/phoneNumbers": {
      "get": {
        "tags": [
          "homeContactInformationChanges"
        ],
        "summary": "Retrieve all existing phone numbers staged for update by the parent business process",
        "description": "Retrieve all phone numbers staged for update by the parent business process\n\n<b>Secured By Domain:</b> Person Data: Home Phone, Self-Service: Home Phone\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "primaryOnly",
            "in": "query",
            "description": "If true, returns only the IDs of the person's primary phone numbers.",
            "required": false,
            "type": "boolean"
          },
          {
            "name": "publicOnly",
            "in": "query",
            "description": "If true, returns only the IDs of the person's public phone numbers.",
            "required": false,
            "type": "boolean"
          },
          {
            "name": "usageType",
            "in": "query",
            "description": "Specifies usage type, such as home or work. Only used if the service provides access to multiple usage types from the same endpoint.",
            "required": false,
            "type": "string"
          },
          {
            "name": "usedFor",
            "in": "query",
            "description": "Specifies usage behavior, such as mailing, billing, or shipping.\nOptional.",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/phoneReference_1089da0ab90910000f70891a998b0887"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A572 | Subject person must have exactly one primary [type] Phone Number in order to have non-primary entries. |\n| Critical | A576 | Phone Extension is not allowed when device type is [VoIP Device Type] |\n| Critical | A577 | Country Code is required unless the device type is VOIP. |\n| Critical | A578 | A phone number is required. |\n| Critical | A604 | Only one [type] Phone Number can be marked as Primary. |\n| Critical | A620 | Invalid Usage Behavior for [cmb]: [cub]. |\n| Critical | A645 | A valid Usage Type is required. |\n| Critical | A646 | Invalid Usage Type [type] and Use For [usedFor] combination for Phone |\n| Critical | A651 | This type of a shared communication method is not supported. |\n| Critical | A652 | Enter a phone number in a valid format: [PhoneValidationMessage] |\n| Critical | A656 | Country Phone Code is not allowed when device type is [VoIP Device Type] |\n| Critical | A658 | You can't change a primary phone to an additional phone or an additional phone to a primary phone. |\n| Critical | A660 | You can't change the Usage Type of an existing phone. |\n| Critical | A664 | The field phone device type is required and must have a value. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5f06a5c8255010001374d2dbbf1f0112",
        "x-workday-secured-by-domains": [
          "Person Data: Home Phone",
          "Self-Service: Home Phone"
        ]
      },
      "post": {
        "tags": [
          "homeContactInformationChanges"
        ],
        "summary": "Creates a new phone number.",
        "description": "Creates a new phone number staged by the parent business process event.\n\n<b>Secured By Domain:</b> Person Data: Home Phone, Self-Service: Home Phone\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "in": "body",
            "name": "phoneReference",
            "required": true,
            "schema": {
              "$ref": "#/definitions/phoneReference_1089da0ab90910000f70891a998b0887"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Resource created.",
            "schema": {
              "$ref": "#/definitions/phoneReference_1089da0ab90910000f70891a998b0887"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A572 | Subject person must have exactly one primary [type] Phone Number in order to have non-primary entries. |\n| Critical | A576 | Phone Extension is not allowed when device type is [VoIP Device Type] |\n| Critical | A577 | Country Code is required unless the device type is VOIP. |\n| Critical | A578 | A phone number is required. |\n| Critical | A604 | Only one [type] Phone Number can be marked as Primary. |\n| Critical | A620 | Invalid Usage Behavior for [cmb]: [cub]. |\n| Critical | A645 | A valid Usage Type is required. |\n| Critical | A646 | Invalid Usage Type [type] and Use For [usedFor] combination for Phone |\n| Critical | A651 | This type of a shared communication method is not supported. |\n| Critical | A652 | Enter a phone number in a valid format: [PhoneValidationMessage] |\n| Critical | A656 | Country Phone Code is not allowed when device type is [VoIP Device Type] |\n| Critical | A658 | You can't change a primary phone to an additional phone or an additional phone to a primary phone. |\n| Critical | A660 | You can't change the Usage Type of an existing phone. |\n| Critical | A664 | The field phone device type is required and must have a value. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5f06a5c8255010001374d2c2cd74010f",
        "x-workday-secured-by-domains": [
          "Person Data: Home Phone",
          "Self-Service: Home Phone"
        ]
      }
    },
    "/people/{ID}/photos": {
      "get": {
        "tags": [
          "people"
        ],
        "summary": "Retrieves a collection of personal photos.",
        "description": "Retrieves all personal photos for the person with the specified ID.\n\n<b>Secured By Domain:</b> Person Data: Personal Photo, Self-Service: Personal Photo\n\n<b>Scope:</b> Personal Data\n\nContains attachment(s)",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|me)$"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/personPhoto_6b9baf67ce60100007d43c79e7a30011"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "6b9baf67ce60100007d70daf0b220013",
        "x-workday-secured-by-domains": [
          "Person Data: Personal Photo",
          "Self-Service: Personal Photo"
        ]
      }
    },
    "/workContactInformationChanges/{ID}/submit": {
      "post": {
        "tags": [
          "workContactInformationChanges"
        ],
        "summary": "Submit the specified contact change ID.",
        "description": "Submits the specified work contact information change ID. \n\nTo submit the Work Contact Change event and initiate the Work Contact Change business process, specify an empty request body: {}.\nTo save for later, specify this request body:\n{\n    \"businessProcessParameters\": {\n        \"action\":{\n            \"id\": \"d9e41a8c446c11de98360015c5e6daf6\"\n        }\n    }\n}\n\nThe action id value is the Workday ID of the Save for Later action. If you submit this endpoint with the Save for Later action, you can no longer edit nor resubmit the Work Contact Change event using the REST APIs. The user with correct permissions can edit and submit the saved Work Contact Change event in the Workday UI.\n\n<b>Secured By Business Process Type:</b> Work Contact Change\n\n<b>Scope:</b> Contact Information\n\nContains attachment(s)",
        "consumes": [
          "multipart/form-data"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "in": "body",
            "name": "jsonData",
            "required": true,
            "schema": {
              "$ref": "#/definitions/changeContactInformationEvent_765b18aa13af1000064a10bf37b800ed"
            },
            "x-workday-multipart-root-part-name": "jsonData"
          }
        ],
        "responses": {
          "201": {
            "description": "Resource created.",
            "schema": {
              "$ref": "#/definitions/changeContactInformationEvent_765b18aa13af1000064a10bf37b800ed"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A165 | The attachment category is invalid for this business process. |\n| Critical | A175 | The file is required. |\n| Critical | A178 | The business process has already been initiated. |\n| Critical | A200 | You can't comment on this business process type. |\n| Critical | A205 | You don't have the security permission on this business process to add attachments. |\n| Critical | A206 | Attachments are not enabled for this business process. |\n| Critical | A207 | You've exceeded the attachment file size limit of [tenant setup attachment limit]KB. |\n| Critical | A211 | The attachment category is required. |\n| Critical | A219 | The business process action isn't valid. |\n| Critical | A221 | The attachment category isn't enabled for this business process. |\n| Critical | A228 | [customer event validation message] |\n| Critical | A665 | You can't submit this event because it is a sub-event. |\n| Critical | A3291 | You must have the delegation permission to initiate this event. Ensure that you have all the required permissions and configuration for this action. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-multipart-root-part-name": "jsonData",
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "eef3c5af9bca10001bb68becb0b102dd",
        "x-workday-secured-by-business-process-types": [
          "Work Contact Change"
        ]
      }
    },
    "/values/nameComponents/religious/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.\n\n<b>Secured By Domain:</b> Person Data: Name\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "country",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        }
      ],
      "x-workday-secured-by-domains": [
        "Person Data: Name"
      ]
    },
    "/values/nameComponents/honorary/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.\n\n<b>Secured By Domain:</b> Person Data: Name\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "country",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        }
      ],
      "x-workday-secured-by-domains": [
        "Person Data: Name"
      ]
    },
    "/people/{ID}/preferredName": {
      "get": {
        "tags": [
          "people"
        ],
        "summary": "Retrieves the preferred name instance.",
        "description": "Retrieves the preferred name for the person with the specified ID.\n\n<b>Secured By Domain:</b> Person Data: Preferred Name, Self-Service: Preferred Name\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|me)$"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/name_33e26848dc0010002f1ae76d63ec0061"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "cb7f231fa706100004719e2ce3600172",
        "x-workday-secured-by-domains": [
          "Person Data: Preferred Name",
          "Self-Service: Preferred Name"
        ]
      }
    },
    "/values/nameComponents/royal/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.\n\n<b>Secured By Domain:</b> Person Data: Name\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "country",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        }
      ],
      "x-workday-secured-by-domains": [
        "Person Data: Name"
      ]
    },
    "/workContactInformationChanges/{ID}": {
      "get": {
        "tags": [
          "workContactInformationChanges"
        ],
        "description": "Returns basic information about the work contact change event, as well as the Alternate Work Location staged by the event, if there is one.\n\n<b>Secured By Domain:</b> Person Data: Work Contact Information, Self-Service: Work Contact Information\n\n<b>Secured By Business Process Type:</b> Work Contact Change\n\n<b>Scope:</b> Contact Information",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
[...]
